#
# spec file for package libzia
#
# Copyright (c) 2021 Walter Fey DL8FCL
#
# This file is under MIT license
# Copyright (c) 2022 Walter Fey DL8FCL
#
# This file is under MIT license

%define soname 4_34

Name:           libzia
Version:        4.34
Release:        1.98
Summary:        Libraries for tucnak
License:        GPL-2.0
Group:          Development/Libraries/C and C++
Url:            http://tucnak.nagano.cz
Source:         %{name}-%{version}.tar.gz
Patch0:         %{name}-pc.diff
Patch1:         %{name}-zbfd.h.diff

BuildRequires:  binutils-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libftdi1)
BuildRequires:  pkgconfig(sdl)

Obsoletes:      %{name}-4.33

%description
Tucnak v4 requires the libzia library of same version. Libzia contains
architecture-dependent code and code usable also in other projects.
Currently only released application is Tucnak3.

%package -n %{name}-%{soname}
Summary:        Libraries for tucnak

%description -n %{name}-%{soname}
Tucnak requires the libzia library of same version. Libzia contains
architecture-dependent code and code usable also in other projects.

%package -n %{name}-devel
Summary:        Libzia header files
Group:          Development/Libraries/C and C++
Requires:       %{name}-%{soname} = %{version}

%description -n %{name}-devel
Header file for libzia
Tucnak requires the libzia library of same version. Libzia contains
architecture-dependent code and code usable also in other projects.

%prep
%setup -q
%patch0 -p 1
%if 0%{?suse_version} > 1500
%patch1 -p 1
%endif

%build
%if 0%{?suse_version} > 1500
export CFLAGS="%optflags -Wno-error=return-type"
%endif
%configure --disable-static
%make_build

%install
%make_install

%post -n %{name}-%{soname} -p /sbin/ldconfig
%postun -n %{name}-%{soname} -p /sbin/ldconfig

%files -n %{name}-%{soname}
%{_libdir}/libzia-%{version}.so
%{_datadir}/libzia/

%files -n %{name}-devel
%{_bindir}/zia-config
%{_libdir}/libzia.so
%{_includedir}/libzia
%{_libdir}/libzia.la
%{_libdir}/pkgconfig/libzia.pc
%exclude /usr/lib/libzia

%changelog
* Fri Jan 29 2021 Mariusz Woźniak <sp6ina@c44.pl>
- update to version 4.34
* Fri Jan 29 2021 Mariusz Woźniak <sp6ina@wp.pl>
- update to version 4.25
* Sat Jun  8 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 4.16
* Fri Feb 22 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 4.15
* Sat Feb 18 2017 dl8fcl@darc.de
- update to version 4.09
* Sun Aug 21 2016 dl8fcl@t-online.de
- update to version 4.08
* Wed May 11 2016 dl8fcl@t-online.de
- update to version 4.07
* Tue Feb 23 2016 dl8fcl@t-online.de
- update to version 4.05
* Thu Oct 22 2015 dl8fcl@darc.de
- import into build service
